\NeedsTeXFormat{LaTeX2e}[2011/06/27]
\ProvidesClass{retzhof}[2017/05/31 Abstract Retzhof]

\PassOptionsToPackage{DIV=14}{typearea}
\ProcessOptions\relax

\LoadClass[12pt,a4paper,parskip=half]{scrartcl}

\RequirePackage{amsmath,amsfonts,amssymb}
%\RequirePackage[ngerman]{babel}
\RequirePackage[a4paper,left=2.25cm,right=2.25cm,top=3.18cm,bottom=3.18cm]{geometry}

\pagestyle{empty}

\setkomafont{title}{\sffamily\Large}
\setkomafont{subtitle}{\sffamily\large}
\setkomafont{author}{\sffamily\normalsize\bfseries}
\renewcommand*{\titlepagestyle}{empty}
\renewcommand*{\@maketitle}{%
  \renewcommand*\thefootnote{{\mdseries\alph{footnote}}}%
  \next@tdpage
  \global\@topnum=\z@%
  %\setparsizes{\z@}{\z@}{\z@\@plus 1fil}\par@updaterelative
  %\null
  %\vskip 2em%
  \begin{center}%
    {\usekomafont{title}{\@title}\par}%
    %\vskip .5em
    {\ifx\@subtitle\@empty\else\usekomafont{subtitle}\@subtitle\par\fi}%
    \vskip 0.5em
    {%
      \usekomafont{author}{%
        \lineskip .5em%
        \begin{tabular}[t]{c}
          \@author
        \end{tabular}\par
      }%
    }%
    %\vskip 1em%
    %{\usekomafont{date}{\@date \par}}%
    %\vskip \z@ \@plus 1em
    %{\usekomafont{publishers}{\@publishers \par}}%
    \ifx\@dedication\@empty \else%
      \vskip 2em%
      {\usekomafont{dedication}{\@dedication \par}}%
    \fi%
  \end{center}%
  %\par
  \vskip 1em
}%

\newcommand{\newinstitution}[2]{%
    \newcounter{instc#1}%
    \setcounter{instc#1}{-1}%
    \expandafter\def\csname #1\endcsname{%
        \ifnum\value{instc#1} < 0%
            \thanks{#2}\setcounter{instc#1}{\value{footnote}}%
        \else%
            \footnotemark[\value{instc#1}]%
        \fi%
    }%
}

\let\old@thebibliography\thebibliography
\let\old@endthebibliography\endthebibliography
\renewcommand{\thebibliography}{\let\old@section\section\renewcommand{\section}[2]{}~\old@thebibliography}
\renewcommand{\endthebibliography}{\let\section\old@section\old@endthebibliography}

\endinput
